MK-ORIGTARGZ.DE(1)

BEZEICHNUNG
mk-origtargz - benennt den Tarball der Originalautoren um, ändert wahlweise die Komprimierung und entfernt unerwünschte Dateien.

ÜBERSICHT

mk-origtargz [Optionen] foo-1.0.tar.gz
mk-origtargz --help

BESCHREIBUNG
mk-origtargz renames the given file to match what is expected by dpkg-buildpackage, based on the source package name and version in debian/changelog. It can convert zip to tar, optionally change the compression scheme and remove files according to Files-Excluded and Files-Excluded-component in debian/copyright. The resulting file is placed in debian/../... (In debian/copyright, the Files-Excluded and Files-Excluded-component stanzas are a part of the first paragraph and there is a blank line before the following paragraphs which contain Files and other stanzas. The Files-Included stanza may be used to ignore parts of subdirectories specified by the Files-Excluded stanza See uscan(1) "COPYRIGHT FILE EXAMPLE".)

Der Archivtyp für zip wird mit dem Befehl »file --dereference --brief --mime-type ermittelt. Daher werden alle Archve vom Typ zip, wie etwa jar, auf die gleiche Weise behandelt. Das xpi-Archiv wird anhand seiner Erweiterung bestimmt und ordnungsgemäß mittels des Befehls xpi-unpack gehandhabt.

Falls der Paketname über die Option --package angegeben wurde, werden keine Informationen aus debian/ gelesen und die resultierende Datei wird im aktuellen Verzeichnis abgelegt.

mk-origtargz wird üblicherweise über uscan aufgerufen. Es erhält zuerst den Tarball der Originalautoren.

OPTIONEN

  Metadatenoptionen
Die folgenden Optionen erweitern oder ersetzen die aus debian/ entnommenen Informationen.

--package Paket
    benutzt Paket als Namen des Debian-Quellpakets und erfordert oder verwendet daher nicht ein debian/-Verzeichnis. Diese Option kann nur zusammen mit --version benutzt werden.

    Standardmäßig wird der Paketname des ersten Eintrags in debian/changelog verwendet.

-v, --version Version
    benutzt Version als Version des Pakets. Dies muss der Teil einer vollständigen Debian-Version sein, der von den Originalautoren stammt, d.h. keine Debian-Revision, keine Epoche.

    Standardmäßig wird der Teil der Version von den Originalautoren des ersten Eintrags in debian/changelog benutzt.

--exclude-file Glob
    entfernt Dateien, die zum angegebenen Glob des Tarballs passen, als ob er in Files-Excluded aufgeführt wäre.

--copyright-file Dateiname
    entfernt Dateien, die den in Dateiname gefunden Mustern entsprechen. Diese sollten im Format einer Debian-Copyright-Datei (genaugenommen Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/) vorliegen. Fehler beim Auswerten dieser Datei werden stillschweigend ignoriert, genau wie dies bei debian/copyright der Fall ist.

    Ungleiche Muster werden eine Warnung ausgeben, so dass der Benutzer prüfen kann, ob es korrekt ist. Falls es mehrere zu einer Datei passende Muster gibt, zählt nur das letzte als passend.

    Sowohl die --exclude-file- als auch --copyright-file-Optionen ergänzen die Liste der in debian/copyright gefundenen Muster. Falls Sie diese Datei nicht auslesen wollen, müssen Sie --package verwenden.

--signature Signaturmodus
    Signaturmodus setzen:

    0 für keine Signatur
    1 für normale freistehende Signatur
    2 für Signatur von Dekompriniertem
    3 für Selbstsignatur
--signature-file Signaturdatei
    verwendet Signaturdatei als zum Debian-Quellpaket gehörige Signaturdatei, um eine dpkg-source (post-stretch)-kompatible Signaturdatei zu erzeugen. (optional).

  Aktionsoptionen
Diese Optionen geben an, was genau mk-origtargz tun soll. Die Optionen --copy, --rename und --symlink schließen sich gegenseitig aus.

--symlink
    liefert als Ergebnis einen symbolischen Verweis auf die Originaldatei. (Dies ist das Standardverhalten.)

    If the file has to be modified (because it is a zip, xpi or zst file, because of --repack or Files-Excluded), this option behaves like --copy.

--copy
    liefert als Ergebnis eine Kopie der Originaldatei (natürlich nur, wenn sie nicht verändert werden muss).

--rename
    benennt die Originaldatei um.

    If the file has to be modified (because it is a zip, xpi, zst file, because of --repack or Files-Excluded), this implies that the original file is deleted afterwards.

--repack
    Falls die angegebene Datei nicht im gewünschten Format komprimiert vorliegt, (siehe --compression) wird sie erneut komprimiert.

-S, --repack-suffix Endung
    Falls die Datei aufgrund von Files-Excluded verändert werden muss, wird Endung an die Version der Originalautoren angehängt.

--force-repack
    komprimiert die Datei sogar dann neu, wenn sie im gewünschten Format komprimiert vorliegt und keine Dateien gelöscht wurden.

-c, --component Komponentenname
    verwendet Komponentenname als Komponentenname für den untergeordneten Tarball der Ursprungsautoren. Dies wird nur für den untergeordneten Tarball der Ursprungsautoren eines Debian-Quellpakets benutzt. Dann wird Paketname_Version.orig-Komponentenname.tar.gz erstellt.

--compression [ gzip | bzip2 | lzma | xz | default ]
    Die Standardmethode ist xz. Wenn mk-origtargz in einem Debian-Quelldepot, dessen Format »1.0« oder nicht definiert ist, gestartet wird, wechselt die Methode zu gzip.

-C, --directory Verzeichnis
    legt die resultierende Datei im angegebenen Verzeichnis ab.

--unzipopt [Optionen]
    fügt die zusätzlichen Optionen, wie -a, -aa und -b, hinzu, die mit dem Befehl unzip benutzt werden.

SIEHE AUCH
uscan(1), uupdate(1)

AUTOR
mk-origtargz und diese Handbuchseite wurden von Joachim Breitner <nomeata@debian.org> geschrieben.